module RedmineDhtmlx
  module ApplicationHelper

    def include_dhtmlx_suite(options = {})
      unless @include_dhtmlx_suite
        tags = []

        tags << stylesheet_link_tag('/dhtmlx/suite/dhtmlx.css')
        tags << javascript_include_tag('/dhtmlx/suite/dhtmlx.js')

        content_for :header_tags do
          tags.join('').html_safe
        end

        @include_dhtmlx_suite = true
      end
    end

    def include_dhtmlx_gantt(options = {})
      unless @include_dhtmlx_gantt
        tags = []

        tags << stylesheet_link_tag('/dhtmlx/gantt/dhtmlxgantt.css')
        tags << javascript_include_tag('/dhtmlx/gantt/dhtmlxgantt.js')

        content_for :header_tags do
          tags.join('').html_safe
        end

        @include_dhtmlx_gantt = true
      end
    end

    def include_dhtmlx_scheduler(options = {})
      unless @include_dhtmlx_scheduler
        tags = []

        tags << stylesheet_link_tag('/dhtmlx/scheduler/dhtmlxscheduler.css')
        tags << javascript_include_tag('/dhtmlx/scheduler/dhtmlxscheduler.js')
        tags << javascript_include_tag("/dhtmlx/scheduler/locale/locale_#{I18n.locale.to_s}.js")
        tags << javascript_include_tag('/dhtmlx/scheduler/ext/dhtmlxscheduler_recurring.js')
        tags << javascript_include_tag('/dhtmlx/scheduler/ext/dhtmlxscheduler_expand.js')
        tags << javascript_include_tag('/dhtmlx/scheduler/ext/dhtmlxscheduler_container_autoresize.js')

        content_for :header_tags do
          tags.join('').html_safe
        end

        @include_dhtmlx_scheduler = true
      end
    end

    def include_dhtmlx_spreadsheet(options = {})
      unless @include_dhtmlx_spreadsheet
        tags = []

        content_for :header_tags do
          tags.join('').html_safe
        end

        @include_dhtmlx_spreadsheet = true
      end
    end

    def include_dhtmlx_vault(options = {})
      unless @include_dhtmlx_vault
        tags = []

        tags << stylesheet_link_tag('/dhtmlx/vault/dhtmlxvault.css')
        tags << javascript_include_tag('/dhtmlx/vault/dhtmlxvault.js')

        content_for :header_tags do
          tags.join('').html_safe
        end

        @include_dhtmlx_vault = true
      end
    end

  end
end
