module RedmineDhtmlx
  class Engine < ::Rails::Engine

    initializer 'redmine_dhtmlx.redmine_patching', before: :load_config_initializers do
      ActiveSupport.on_load :action_controller do
        helper RedmineDhtmlx::ApplicationHelper
      end
    end

    initializer 'redmine_dhtmlx.append_assets' do |app|

      Rails.application.configure do
        config.assets.paths << root.join('app', 'assets', 'dhtmlx')
      end

      if true # check pipeline
        FileUtils.rm_r(app.root.join('public', 'dhtmlx')) if File.directory?(app.root.join('public', 'dhtmlx'))
        FileUtils.cp_r(root.join('app', 'assets', 'dhtmlx'), app.root.join('public', 'dhtmlx'))
      end

    end

  end
end
